Package org.rexxla.bsf.engines.rexx

# Class RexxAnalyzeRegistry

java.lang.Object
org.rexxla.bsf.engines.rexx.RexxAnalyzeRegistry

public class RexxAnalyzeRegistry extends Object
This class allows to analyze the registry maintained by RexxAndJava.java, it needs at least Java/OpenJDK version 8.

    ------------------------ Apache Version 2.0 license -------------------------
        Copyright (C) 2022 Rony G. Flatscher

        Licensed under the Apache License, Version 2.0 (the "License");
        you may not use this file except in compliance with the License.
        You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

        Unless required by applicable law or agreed to in writing, software
        distributed under the License is distributed on an "AS IS" BASIS,
        WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
        See the License for the specific language governing permissions and
        limitations under the License.
     -----------------------------------------------------------------------------

Version:
  1.0.0, 2022-08-02
Author:
  Rony G. Flatscher

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `RexxAnalyzeRegistry.AnalyzedCategory`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `version`
  Version information on this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RexxAnalyzeRegistry.AnalyzedCategory`
  `getAnalyzedData()`
  Returns the analyzed data, runs `updateAnalyzeData()` to analyze the latest version of the BSF registry.
  `static String`
  `getAnalyzedDataAsString()`
  Returns the analyzed data as a string, runs `updateAnalyzeData()` to analyze the latest version of the BSF registry.
  `static void`
  `updateAnalyzeData()`
  Forces the analysis of a new copy of the BSF registry, use @link{getAnalyzedData()} to fetch the `RexxAnalyzeRegistry.AnalyzedCategory` object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### version

    public static final String version
    Version information on this class.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAnalyzedData

    public static RexxAnalyzeRegistry.AnalyzedCategory getAnalyzedData()
    Returns the analyzed data, runs `updateAnalyzeData()` to analyze the latest version of the BSF registry.
    Returns:
      the AnalyzedCategory object

  - ### getAnalyzedDataAsString

    public static String getAnalyzedDataAsString()
    Returns the analyzed data as a string, runs `updateAnalyzeData()` to analyze the latest version of the BSF registry.
    Returns:
      the analyzed data as a string

  - ### updateAnalyzeData

    public static void updateAnalyzeData()
    Forces the analysis of a new copy of the BSF registry, use @link{getAnalyzedData()} to fetch the `RexxAnalyzeRegistry.AnalyzedCategory` object.